# TMCFileTypeList Class Reference
[MCCore]

Inheritance diagram for TMCFileTypeList:

List of all members.

## Public Member Functions
| TMCFileTypeList ()
void | ReadFromResource (TMCResourceStream &ss, MCTypeFamilyID familyID)
int32 | GetElemCount () const
const TMCFileType & | GetElem (int32 index) const
TMCFileType & | GetElem (int32 index)
void | AddElem (const TMCFileType &fileType)
void | ArrayFree ()
const TMCFileType * | FindMCFileTypeByID (const MCFileTypeID &ref) const
const TMCFileType * | FindMCFileType (const TMCFile &file) const
const TMCFileType * | FindMCFileType (const TMCString &extension, const TMCFileID &type) const
MCFileTypeID | FindMCFileTypeID (const TMCFile &file) const
boolean | IsSingleFileFamily () const
## Protected Attributes
TMCClassArray< TMCFileType > | fList

## Detailed Description

TMCFileTypeList is simply an array of TMCFileType(s) with a few convenient methods.
To load a file type list from resources use IShFileFormatUtilities::LoadResourceFTYP.
To manipulate the global file type list kept by the application use IShFileFormatUtilities::AddFileTypes, IShFileFormatUtilities::GetFileTypesByFamilyID or IShFileFormatUtilities::GetFileTypeByID.

## Constructor & Destructor Documentation

TMCFileTypeList::TMCFileTypeList | ( |  | ) |

## Member Function Documentation

void TMCFileTypeList::AddElem | ( | const TMCFileType & | fileType | ) |

void TMCFileTypeList::ArrayFree | ( |  | ) | `[inline]`

const TMCFileType* TMCFileTypeList::FindMCFileType | ( | const TMCString & | extension,
|  | const TMCFileID & | type |
| ) |  |  | const

Get the TMCFileType that corresponds to an extension or type.

const TMCFileType* TMCFileTypeList::FindMCFileType | ( | const TMCFile & | file | ) | const

Gets the MCFileType of a file

const TMCFileType* TMCFileTypeList::FindMCFileTypeByID | ( | const MCFileTypeID & | ref | ) | const

Get the MCFileType using an id

MCFileTypeID TMCFileTypeList::FindMCFileTypeID | ( | const TMCFile & | file | ) | const

Gets the MCFileTypeID of a file

TMCFileType& TMCFileTypeList::GetElem | ( | int32 | index | ) | `[inline]`

const TMCFileType& TMCFileTypeList::GetElem | ( | int32 | index | ) | const`[inline]`

int32 TMCFileTypeList::GetElemCount | ( |  | ) | const`[inline]`

boolean TMCFileTypeList::IsSingleFileFamily | ( |  | ) | const

void TMCFileTypeList::ReadFromResource | ( | TMCResourceStream & | ss,
|  | MCTypeFamilyID | familyID |
| ) |  |  |

## Member Data Documentation

TMCClassArray<TMCFileType> TMCFileTypeList::fList`[protected]`

The documentation for this class was generated from the following file:

- MCFileType.h